Page MenuHomePhabricator

[clang-tidy] A new OpenMP module
ClosedPublic

Authored by lebedev.ri on Feb 1 2019, 1:37 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

lebedev.ri created this revision.Feb 1 2019, 1:37 AM
JonasToth accepted this revision.Feb 1 2019, 3:41 AM

LGTM. Committing both revision together would be good :)

This revision is now accepted and ready to land.Feb 1 2019, 3:41 AM

LGTM.

Committing both revision together would be good :)

Yes.
I can't land them since D57112 has no review feedback as of yet.
Hopefully not for too long. Though i'm not sure when i can reasonably ping it,
updating the review probably counts as a ping, i think.

I have split it up so i can work on the second check, openmp-exception-escape.

Rebased, no changes.

gribozavr accepted this revision.Mar 18 2019, 2:57 AM

While I'm okay with this, I would mildly prefer it if landed with at least one check rather than entirely empty (IIRC, that's how we'd added new modules in the past).

Rebased, NFC.

Closed by commit rL356800: [clang-tidy] A new OpenMP module (authored by lebedevri, committed by ). · Explain WhyMar 22 2019, 12:48 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 22 2019, 12:48 PM